Description

Currently it is possible to specify blending modes for QGIS layers (a nice feature! Cheers for the person who implemented it!). It would be

nice if other colour effects would be also available.

Use case - when creating a colour map, I would like to see a preview of it in black&white (ok, grayscale) as users might print/copy map in

b&w and it should look reasonable also after such conversion to b&w. Currently only option is to export and then use image manipulation

software. It is time consuming (change symbols, export, convert to grayscale, repeat). QtGraphicalEffects has an effect desaturate that

could be applied to the layer to imitate b&w output.

Associated revisions

Revision 1b49a473 - 2014-05-18 02:10 PM - Nyall Dawson

[FEATURE][composer] Add preview modes for composer, allows for previewing composition in grayscale, monochrome and color blindness simulation

modes prior to printing (refs #9886)

Revision af7af6c2 - 2014-05-21 03:30 PM - Nyall Dawson

[FEATURE] Add option to use colour preview modes (grayscale, colour blindess) in map canvas (fix #9886)

History

#1 - 2014-03-26 06:22 AM - Nathan Woodrow

Does this make more sense at a composer level rather then each layer (we could have both).  Just thinking that a colour blind mode in the composer would

also fit with this.  Have a picker with the different colour blind types and update the composer.

I used to work for a colour blind CEO and this would have been awesome.

#2 - 2014-05-21 06:28 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"af7af6c26a493192af4ee673928974c091aa1894".
